// 
// File:   ImageManager.h
// Author: chris
//
// Created on August 8, 2007, 11:41 PM
//

#ifndef _IMAGEMANAGER_H
#define	_IMAGEMANAGER_H

#include "AssetManager.h"
#include "Image.h"
#include "GL/gl.h"
#include "GL/glu.h"
#include "IL/il.h"
#include "IL/ilu.h"
#include <math.h>

struct ImageLoadRequest {
    unsigned char depth;
};

class ImageManager : public AssetManager<Image>
{
public:
    ImageManager();
    ~ImageManager();
private:
    Image* Load(char *filename, unsigned int &userID, void *userData = NULL);
};

#endif

